;nyquist plug-in
;version 1
;type generate
;categories "http://lv2plug.in/ns/lv2core#GeneratorPlugin"
;name "SND-CONST."
;action "Generating Constants..."
;info "Simple demonstration of SND-CONST function by Steve Daulton.\n\n(snd-const value t0 srate duration)\nFor description of this function, see:\nhttp://www.audacity-forum.de/download/edgar/nyquist/nyquist-doc/manual/part6.html#index476\n\nWARNING. DOES NOT CHECK INPUT DATA AND COULD CRASH!\nPress Debug button if you want to view any error messages."

;control value1 "Value of constant 1" real "0 to 1" 0.5 -1 1
;control t01 "Start Time 1" real "seconds" 0 0 10
;control srate1 "Sample Rate 1" int "Hz" 44100 0 192000
;control duration1 "Duration 1" real "seconds" 1 0 100

;control value2 "Value of constant 2" real "0 to 1" 0.5 -1 1
;control t02 "Start Time 2" real "seconds" 0 0 10
;control srate2 "Sample Rate 2" int "Hz" 44100 0 192000
;control duration2 "Duration 2" real "seconds" 1 0 100

;; Keep sample rates valid
;; Force srate to be an integer
(setq srate1 (truncate srate1))
(setq srate2 (truncate srate2))


;; Run SND-CONST functions
(sim
  (snd-const value1 t01 srate1 duration1)
  (snd-const value2 t02 srate2 duration2)
)